Subject: LRO: Series driver height

From: "James G.Wolf" <[email-masked]>
Date: Thu, 05 Jul 2001 00:52:21 -0400

I must add that when my daughter was looking to buy a Range Rovers with the
sunroof, when I sat down in the front seat my head touched the headliner.
That was with the seat all the way down. I am 6' tall. I have been driving
series vehicles since 1971 and they could use more leg room but it's no
worse than some of the smaller compact cars. You just learn to adjust.
Jim Wolf

>Look!!
>
>I drive a Series III daily and have for the past seven plus years.  I'm 6'
>3' and weigh 220 lbs.  Only occasionally do I feel cramped and then,  with
>the left foot under the clutch pedal needing some relief.
>